const int dataPin[] = {12, 14, 5, 4};  //Pin connected to Data in (DS) of 74HC595
const int latchPin[] = {11, 10, 7, 3};  //Pin connected to latch pin (ST_CP) of 74HC595
const int clockPin[] = {8, 9, 6, 2};  //Pin connected to clock pin (SH_CP) of 74HC595

int measure_bat()
{
  analogReference(INTERNAL);  

  float volt = analogRead(A6);
  // volt * 1.1 * 92 / 10 / 1023 (10 KOhm out of 82+10=92 KOhm)
  return (int)(0.5 + 100.0 * volt * 0.009892473);
}

void setup() {

  for (int i = 0; i < 4; i++){
    pinMode(dataPin[i], OUTPUT);
    pinMode(latchPin[i], OUTPUT);
    pinMode(clockPin[i], OUTPUT);
    digitalWrite(latchPin[i], LOW);
    }

}

void loop() {
  for (int j = 0; j < 4; j++){
    unsigned long x = 1;
    for (int i = 0; i < 24; i++)
    {
      setLEDs(x, dataPin[j], clockPin[j], latchPin[j]);
      delay(150);
      x <<= 1;
    }
    x >>= 1;
    for (int i = 0; i < 24; i++)
    {
      setLEDs(x, dataPin[j], clockPin[j], latchPin[j]);
      delay(150);
      x >>= 1;
    }
    setLEDs(0, dataPin[j], clockPin[j], latchPin[j]);
    delay(150);
  }
}

void setLEDs(unsigned long state, int dataP, int clockP, int latchP) {
  // turn off the output so the pins don't light up
  // while you're shifting bits:
  digitalWrite(latchP, LOW);

  // shift the bits out:
  // (kazdy bajt ide do jedneho z tych 3 integracov na jednej doske)
  shiftOut(dataP, clockP, MSBFIRST, state >> 16);
  shiftOut(dataP, clockP, MSBFIRST, (state >> 8) & 255);
  shiftOut(dataP, clockP, MSBFIRST, state & 255);

    // turn on the output so the LEDs can light up:
  digitalWrite(latchP, HIGH);
}
